/**
 *
 * @license MIT License
 *
 * Copyright (c) 2022 lewis he
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 * @file      CSTxxxConstants.h
 * @author    Lewis He (lewishe@outlook.com)
 * @date      2023-04-24
 *
 */

#pragma once

#define CSTXXX_SLAVE_ADDRESS        (0x15)
#define CST816_SLAVE_ADDRESS        (0x15)
#define CST328_SLAVE_ADDRESS        (0x1A)
#define CST226SE_SLAVE_ADDRESS      (0x5A)

#define CSTXXX_REG_STATUS           (0x00)
#define CSTXXX_REG_MODEL_ID         (0xA8)
#define CSTXXX_REG_CHIP_TYPE_L      (0xAA)
#define CSTXXX_REG_CHIP_TYPE_H      (0xAB)


#define CST226SE_BUFFER_NUM         (28)




#define CST816S_CHIP_ID             (0xB4)
#define CST816T_CHIP_ID             (0xB5)
#define CST716_CHIP_ID              (0x20)
#define CST226SE_CHIP_ID            (0xA8)





